# std::_SBase< _Dom > Class Template Reference

Inheritance diagram for std::_SBase< _Dom >:

List of all members.

## Detailed Description

### template<typename _Dom>
class std::_SBase< _Dom >

Definition at line 668 of file valarray_before.h.

## Public Types

- typedef _Dom::value_type value_type

## Public Member Functions

- _SBase (const _Dom &__e, const slice &__s)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this class was generated from the following file:

- valarray_before.h